be.fgov.ehealth.globalmedicalfile.core.v1

## Class ValueRefString

- java.lang.Object
- - be.fgov.ehealth.globalmedicalfile.core.v1.ValueRefString

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-04-08T03:24:46+02:00",
                 comments="JAXB RI v2.3.7")
      public class ValueRefString
      extends Object
      implements Serializable

  Elements of this type do not require any content, instead it is also possible to refer to another element in the same document with the same values. The referencee should specify and id, and the referencer should specify a ref-attribute.

  Java class for ValueRefString complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ValueRefString">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>string">
             <attribute name="ValueRef" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </extension>
         </simpleContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueRefString()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getValue()` Gets the value of the value property.
    `String` | `getValueRef()` Gets the value of the valueRef property.
    `void` | `setValue(String value)` Sets the value of the value property.
    `void` | `setValueRef(String value)` Sets the value of the valueRef property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueRefString

          public ValueRefString()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getValueRef

          public String getValueRef()

      Gets the value of the valueRef property.
      Returns:
        possible object is `String`

    - #### setValueRef

          public void setValueRef(String value)

      Sets the value of the valueRef property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPHYSICIAN 4.5.4 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.